# Update sheet

Updates the sheet specified in the URL.
To modify sheet contents, see Add Rows, Update Rows, Add Columns, and Update Column.
This operation can be used to update an individual user's sheet settings. If the request body contains only the userSettings attribute, this operation may be performed even if the user only has read-only access to the sheet (for example, the user has viewer permissions or the sheet is read-only).

Endpoint: PUT /sheets/{sheetId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

## Request fields (application/json):

  - `name` (string)
    Sheet name.

  - `projectSettings` (object)
    Represents the project settings dependencies for a specific sheet. Project settings may be updated on sheets that the user has editor access.

  - `projectSettings.lengthOfDay` (number)
    Length of a workday for a project sheet.

  - `projectSettings.nonWorkingDays` (array)
    Non-working days for a project sheet.

  - `projectSettings.workingDays` (array)
    Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"

  - `userSettings` (object)
    Represents individual user settings for a specific sheet. User settings may be updated even on sheets where the current user only has read access (for example, viewer permissions or a read-only sheet).

  - `userSettings.criticalPathEnabled` (boolean)
    Does this user have "Show Critical Path" turned on for this sheet? NOTE: This setting only has an effect on project sheets with dependencies enabled.

  - `userSettings.displaySummaryTasks` (boolean)
    Does this user have "Display Summary Tasks" turned on for this sheet? Applies only to sheets where "Calendar View" has been configured.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.id` (number)
    Sheet ID.

  - `result.fromId` (number)
    The ID of the template from which to create the sheet. This attribute can be specified in a request, but is never present in a response.

  - `result.ownerId` (number)
    User ID of the sheet owner.

  - `result.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `result.attachments` (array)
    Array of Attachment objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains attachments.

  - `result.attachments.id` (number)
    Attachment ID.

  - `result.attachments.parentId` (number)
    The ID of the parent.

  - `result.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `result.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `result.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `result.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `result.attachments.createdAt` (any)

  - `result.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `result.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.attachments.name` (string)
    Attachment name.

  - `result.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `result.attachments.url` (string)
    Attachment temporary URL (files only).

  - `result.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `result.cellImageUploadEnabled` (boolean)
    The sheet is enabled for cell images to be uploaded.

  - `result.columns` (array) — one of:
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: "GANTT_DISPLAY_LABEL"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "TEXT_NUMBER"
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 0
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: "AUTO_NUMBER"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: "FLAG", "STAR"
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "CARD_DONE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CHECKBOX"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: "CREATED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: "CREATED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATE"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "ABSTRACT_DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DURATION"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: "MODIFIED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: "MODIFIED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 1
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 2
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_PERCENT_COMPLETE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Predecessor column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        Enum: "GANTT_PREDECESSOR"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PREDECESSOR"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource contact column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `options` (array, required)
        An array of contacts available to use in the column. A cell value in this column can contain one contact.
        Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: "GANTT_ASSIGNED_RESOURCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource text column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `primary` (boolean)
        Returned only if the column is the Primary Column (value = true).
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Percent allocation column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_ALLOCATION"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Symbol column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
        Example: []
      - `symbol` (string)
        Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
        Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)

  - `result.createdAt` (any)

  - `result.crossSheetReferences` (array)
    Array of CrossSheetReference objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains crossSheetReferences.

  - `result.crossSheetReferences.endColumnId` (number)
    Defines ending edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `result.crossSheetReferences.endRowId` (number)
    Defines ending edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `result.crossSheetReferences.id` (number)
    Cross-sheet reference ID, guaranteed unique within referencing sheet.

  - `result.crossSheetReferences.name` (string)
    Friendly name of reference. Auto-generated unless specified in Create Cross-sheet References.

  - `result.crossSheetReferences.startColumnId` (number)
    Defines beginning edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `result.crossSheetReferences.startRowId` (number)
    Defines beginning edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `result.crossSheetReferences.status` (string)
    Status of request:
 * 'BLOCKED' - A reference is downstream of a circular issue.
 * 'BROKEN' - The data source location (column, row or sheet) was deleted.
 * 'CIRCULAR' - The formula reference is self referencing and cannot be resolved.
 * 'DISABLED' - Updating the reference is temporarily disabled due to maintenance.
 * 'INVALID/UNKNOWN' - The reference is new and had not been validated.
 * 'NOT_SHARED' - No common shared users.
 * 'OK' - The reference is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INVALID/UNKNOWN", "NOT-SHARED", "OK"

  - `result.crossSheetReferences.sourceSheetId` (number)
    Sheet ID of source sheet.

  - `result.dependenciesEnabled` (boolean)
    Indicates whether dependencies are enabled.

  - `result.discussions` (array)
    Array of Discussion objects
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains discussions.

  - `result.discussions.accessLevel` (string)
    Enum: same as `result.accessLevel` (6 values)

  - `result.discussions.id` (number)
    Discussion ID.

  - `result.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `result.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `result.discussions.comments.createdAt` (any)

  - `result.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `result.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `result.discussions.comments.id` (number)
    Comment ID.

  - `result.discussions.comments.modifiedAt` (any)

  - `result.discussions.comments.text` (string)
    Comment body.

  - `result.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `result.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `result.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `result.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.lastCommentedAt` (any)

  - `result.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `result.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `result.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `result.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `result.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `result.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `result.effectiveAttachmentOptions` (array)
    Array of enum strings (see [Attachment.attachmentType](/api/smartsheet/openapi/attachments) indicating the allowable attachment options for the current user and sheet.

  - `result.ganttEnabled` (boolean)
    Indicates whether "Gantt View" is enabled.

  - `result.hasSummaryFields` (boolean)
    Indicates whether a sheet summary is present.

  - `result.isMultiPicklistEnabled` (boolean)
    Indicates whether multi-select is enabled.

  - `result.modifiedAt` (any)

  - `result.name` (string)
    Sheet name.

  - `result.owner` (string)
    Email address of the sheet owner.

  - `result.permalink` (string)
    URL that represents a direct link to the sheet in Smartsheet.

  - `result.projectSettings` (object)
    Represents the project settings dependencies for a specific sheet. Project settings may be updated on sheets that the user has editor access.

  - `result.readOnly` (boolean)
    Returned only if the sheet belongs to an expired trial (value = true).

  - `result.resourceManagementEnabled` (boolean)
    Indicates that resource management is enabled.

  - `result.resourceManagementType` (string)
    Resource Management type. Indicates the type of RM that is enabled.
    Enum: "NONE", "LEGACY_RESOURCE_MANAGEMENT", "RESOURCE_MANAGEMENT_BY_SMARTSHEET"

  - `result.rows` (array)

  - `result.rows.id` (number)
    Row ID.

  - `result.rows.siblingId` (number)
    Sibling ID.

  - `result.rows.accessLevel` (string)
    Enum: same as `result.accessLevel` (6 values)

  - `result.rows.attachments` (array)
    Attachments on row. Only returned if the include query string parameter contains attachments.

  - `result.rows.cells` (array)
    Cells belonging to the row.

  - `result.rows.cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `result.rows.cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `result.rows.cells.conditionalFormat` (string)
    The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.

  - `result.rows.cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `result.rows.cells.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.

  - `result.rows.cells.formula` (string)
    The formula for a cell, if set, for instance =COUNTM([Assigned To]3). Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".

  - `result.rows.cells.hyperlink` (object)

  - `result.rows.cells.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `result.rows.cells.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `result.rows.cells.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `result.rows.cells.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `result.rows.cells.image` (object)

  - `result.rows.cells.image.altText` (string)
    Alternate text for the image.

  - `result.rows.cells.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `result.rows.cells.image.id` (string)
    Image ID.

  - `result.rows.cells.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `result.rows.cells.linkInFromCell` (object)

  - `result.rows.cells.linkInFromCell.columnId` (number)
    Column ID of the linked cell.

  - `result.rows.cells.linkInFromCell.rowId` (number)
    Row ID of the linked cell.

  - `result.rows.cells.linkInFromCell.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `result.rows.cells.linkInFromCell.sheetName` (string)
    Sheet name of the linked cell.

  - `result.rows.cells.linkInFromCell.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `result.rows.cells.linksOutToCells` (array)

  - `result.rows.cells.objectValue` (any) — one of:
    - Abstract datetime object value:
      - `objectType` (string)
        Enum: same as `type` in "Abstract datetime column" (1 values)
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6
    - Contact object value:
      - `objectType` (string)
        Enum: "CONTACT"
      - `email` (string)
        Email address of the Contact
        Example: "john.doe@acme.com"
      - `name` (string)
        Name of the Contact
        Example: "John Doe"
      - `imageId` (string)
        ID of an image associated with the Contact
        Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
      - `emailId` (string)
        ID of the email address
        Example: "23456789"
      - `userId` (string)
        User ID of the contact
        Example: "12345678"
      - `lookUpName` (boolean)
        Whether or not to look up the contact's name based on their email address.
        Example: true
    - Date object value:
      - `objectType` (string)
        Enum: same as `type` in "Date column" (1 values)
      - `value` (string)
        Date in the full-date format defined by RFC 3339, section 5.6
    - Datetime object value:
      - `objectType` (string)
        Enum: same as `type` in "Created date column" (1 values)
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6
    - Duration object value:
      - `objectType` (string)
        Enum: same as `type` in "Duration column" (1 values)
      - `days` (number)
        Number of days
    - Multi-contact object value:
      - `objectType` (string)
        Enum: "MULTI_CONTACT"
      - `value` (array)
        List of Contacts
      - `value.objectType` (string)
        Enum: same as `objectType` in "Contact object value" (1 values)
      - `value.email` (string)
        Email address of the Contact
        Example: "john.doe@acme.com"
      - `value.name` (string)
        Name of the Contact
        Example: "John Doe"
      - `value.imageId` (string)
        ID of an image associated with the Contact
        Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
      - `value.emailId` (string)
        ID of the email address
        Example: "23456789"
      - `value.userId` (string)
        User ID of the contact
        Example: "12345678"
      - `value.lookUpName` (boolean)
        Whether or not to look up the contact's name based on their email address.
        Example: true
    - Multi-picklist object value:
      - `objectType` (string)
        Enum: same as `type` in "Multi-dropdown list column" (1 values)
      - `values` (array)
        List of strings to choose from
    - Predecessor list object value:
      - `objectType` (string)
        Enum: "PREDECESSOR_LIST"
      - `predecessors` (array)
        List of references to rows on which the current row depends
        Example: [{"rowId":1234567890123456,"rowNumber":2,"type":"FS","inCriticalPath":true}]
      - `predecessors.rowId` (number)
        The ID of the predecessor row.
        Example: 1234567890123456
      - `predecessors.type` (string)
        Type of the predecessor:
 * FF (Finish-to-Finish) - finish at the same time the predecessor finishes.
 * FS (Finish-to-Start) - start after the predecessor finishes.
 * SF (Start-to-Finish) - finish before the predecessor starts.
 * SS (Start-to-Start) - start at the same time the predecessor starts.
        Enum: "FF", "FS", "SF", "SS"
      - `predecessors.inCriticalPath` (boolean)
        True if this predecessor is in the critical path.
        Example: true
      - `predecessors.invalid` (boolean)
        True if the row referenced by rowId is not a valid row in this sheet, or there is a circular reference (displayed in the Smartsheet app as "#REF") Omitted if false.
      - `predecessors.lag` (object)
        In a project sheet, represents a value in a duration cell, or a lag value of a predecessor.
      - `predecessors.rowNumber` (number)
        The row number of the predecessor row. Omitted if invalid is true.
        Example: 2

  - `result.rows.cells.overrideValidation` (boolean)
    (Admin only) Indicates whether the cell value can contain a value outside of the validation limits (value = true). When using this parameter, you must also set strict to false to bypass value type checking. This property is honored for POST or PUT actions that update rows.

  - `result.rows.cells.strict` (boolean)
    Set to false to enable lenient parsing. Defaults to true. You can specify this attribute in a request, but it is never present in a response.

  - `result.rows.cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `result.rows.columns` (array) — one of:
    Columns of row. Only returned if the include query string parameter contains columns.
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: same as `tags` in "Text/number column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: same as `systemColumnType` in "Auto number column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: same as `symbol` in "Checkbox column" (2 values)
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: same as `tags` in "Checkbox column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Checkbox column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: same as `systemColumnType` in "Created by column" (1 values)
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: same as `systemColumnType` in "Created date column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: same as `tags` in "Abstract datetime column" (6 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Abstract datetime column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: same as `tags` in "Duration column" (2 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Duration column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: same as `systemColumnType` in "Modified by column" (1 values)
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: same as `systemColumnType` in "Modified date column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Multi-contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Multi-contact list column" (1 values)
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Multi-dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Multi-dropdown list column" (1 values)
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: same as `tags` in "Percent complete column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Predecessor column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        Enum: same as `tags` in "Predecessor column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Predecessor column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource contact column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `options` (array, required)
        An array of contacts available to use in the column. A cell value in this column can contain one contact.
        Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource text column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `primary` (boolean)
        Returned only if the column is the Primary Column (value = true).
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Percent allocation column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: same as `tags` in "Percent allocation column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Symbol column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
        Example: []
      - `symbol` (string)
        Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
        Enum: same as `symbol` in "Symbol column" (25 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)

  - `result.rows.conditionalFormat` (string)
    Describes this row's conditional format. Only returned if the include query string parameter contains format and this row has a conditional format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `result.rows.createdAt` (any)

  - `result.rows.createdBy` (object)
    User object containing name and email of the creator of this row.

  - `result.rows.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.rows.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.rows.discussions` (array)
[...]
